2011年8月12日

[ruby-list:48310] Re: WinXPでnokogiインストール

あおきです。

Leopard については,下を参考にうまく行きました。

http://martinisoftware.com/2009/07/31/nokogiri-on-leopard.html

(1)
% curl -O ftp://xmlsoft.org/libxml2/libxml2-2.7.3.tar.gz

% curl -O ftp://xmlsoft.org/libxml2/libxslt-1.1.24.tar.gz


を今日時点で最新と思われる,

libxml2-2.7.8.tar.gz
libxslt-1.1.26.tar.gz

に変えました。

(2)
Rubyは
http://www.ruby-lang.org から

ruby-1.9.2-p290.tar.gz

をダウンロード。

(3)
それぞれ,~/src 展開,

./configure --prefix=HOME_DIR/local
make
make test(rubyのみ)
make install (rubyはinstall-nodoc)

(./configureは ~ を受け付けないようなので絶対パスで)

(4)
PATH に ~/local/bin を追加して,ターミナル再起動して(rehashでも?),

% gem install nokogiri -- --with-xml2-include=~/local/include/libxml2 --with-xml2-lib=~/local/lib

で無事に行きました。

#あとはメインのWindowsでうまく行けば…。

----
青木

投稿者 xml-rpc : 2011年8月12日 11:25
役に立ちました?:
過去のフィードバック 平均:(0) 総合:(0) 投票回数:(0)
本記事へのTrackback: http://hoop.euqset.org/blog/mt-tb2006.cgi/105699
トラックバック
コメント
コメントする




画像の中に見える文字を入力してください。